Functions

# usb-keyboard.h File Reference

Go to the source code of this file.

## Functions
void | kbdUSBInit (DevicePtr pDev)
void | kbdUSBGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | kbdUSBOn (DevicePtr pDev)
void | kbdUSBRead (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | kbdUSBCtrl (DevicePtr pDev, KeybdCtrl *ctrl)

## Detailed Description

Interface to USB keyboard driver.

See also:
  usb-keyboard.c
  usb-common.c

## Function Documentation

void kbdUSBCtrl | ( | DevicePtr | pDev,
|  | KeybdCtrl * | ctrl |
| ) |  |  |

Set the LEDs.

void kbdUSBGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info |
| ) |  |  |

Fill the info structure with information needed to initialize pDev.

References _DMXLocalInitInfo::focusClass, _DMXLocalInitInfo::force, _DMXLocalInitInfo::kbdFeedbackClass, kbdUSBGetMap(), _DMXLocalInitInfo::keyboard, _DMXLocalInitInfo::keyClass, _DMXLocalInitInfo::keySyms, _DMXLocalInitInfo::modMap, and _DMXLocalInitInfo::names.

void kbdUSBInit | ( | DevicePtr | pDev | ) |

Initialize pDev using usbInit.

References usbInit(), and usbKeyboard.

Referenced by kbdUSBOn().

int kbdUSBOn | ( | DevicePtr | pDev | ) |

Turn pDev on (i.e., take input from pDev).

References kbdUSBInit().

void kbdUSBRead | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block |
| ) |  |  |